Package com.enonic.xp.form

## Class Input.Builder

- java.lang.Object
- - com.enonic.xp.form.Input.Builder

- Enclosing class:
    Input

      public static class Input.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |
    `Builder​(Input source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Input` | `build()` |
    `Input.Builder` | `customText​(String value)` |
    `Input.Builder` | `defaultValue​(InputTypeDefault value)` |
    `Input.Builder` | `helpText​(String value)` |
    `Input.Builder` | `helpTextI18nKey​(String value)` |
    `Input.Builder` | `immutable​(boolean value)` |
    `Input.Builder` | `indexed​(boolean value)` |
    `Input.Builder` | `inputType​(InputTypeName value)` |
    `Input.Builder` | `inputTypeConfig​(InputTypeConfig config)` |
    `Input.Builder` | `inputTypeProperty​(InputTypeProperty property)` |
    `Input.Builder` | `label​(String value)` |
    `Input.Builder` | `labelI18nKey​(String value)` |
    `Input.Builder` | `maximizeUIInputWidth​(boolean value)` |
    `Input.Builder` | `maximumOccurrences​(int value)` |
    `Input.Builder` | `minimumOccurrences​(int value)` |
    `Input.Builder` | `multiple​(boolean value)` |
    `Input.Builder` | `name​(String value)` |
    `Input.Builder` | `occurrences​(int minOccurrences, int maxOccurrences)` |
    `Input.Builder` | `occurrences​(Occurrences value)` |
    `Input.Builder` | `required​(boolean value)` |
    `Input.Builder` | `validationRegexp​(String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          public Builder​(Input source)

  - ### Method Detail

    - #### name

          public Input.Builder name​(String value)

    - #### inputType

          public Input.Builder inputType​(InputTypeName value)

    - #### label

          public Input.Builder label​(String value)

    - #### labelI18nKey

          public Input.Builder labelI18nKey​(String value)

    - #### defaultValue

          public Input.Builder defaultValue​(InputTypeDefault value)

    - #### immutable

          public Input.Builder immutable​(boolean value)

    - #### occurrences

          public Input.Builder occurrences​(Occurrences value)

    - #### occurrences

          public Input.Builder occurrences​(int minOccurrences,
                                           int maxOccurrences)

    - #### minimumOccurrences

          public Input.Builder minimumOccurrences​(int value)

    - #### maximumOccurrences

          public Input.Builder maximumOccurrences​(int value)

    - #### required

          public Input.Builder required​(boolean value)

    - #### maximizeUIInputWidth

          public Input.Builder maximizeUIInputWidth​(boolean value)

    - #### multiple

          public Input.Builder multiple​(boolean value)

    - #### indexed

          public Input.Builder indexed​(boolean value)

    - #### customText

          public Input.Builder customText​(String value)

    - #### validationRegexp

          public Input.Builder validationRegexp​(String value)

    - #### helpText

          public Input.Builder helpText​(String value)

    - #### helpTextI18nKey

          public Input.Builder helpTextI18nKey​(String value)

    - #### inputTypeProperty

          public Input.Builder inputTypeProperty​(InputTypeProperty property)

    - #### inputTypeConfig

          public Input.Builder inputTypeConfig​(InputTypeConfig config)

    - #### build

          public Input build()